Bug 24059 - starting pop3 fails in xinetd
starting pop3 fails in xinetd
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-15 13:35 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 04:04:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-15 13:35:22 EST
on a pentium 700Mhz
I install the package imap-2000-3 and xinetd-2.1.8.9pre11-1

I change the /etc/xinetd.d/ipop3 to enable the service (disable = no)

I restart the xinetd process and the /var/log/message tells: 


jan 15 17:32:34 keo xinetd: xinetd shutdown succeeded
Jan 15 17:32:38 keo xinetd[1043]: chargen disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: time disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: time disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: tftp disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: chargen-udp disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: talk disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: daytime disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: daytime-udp disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: exec disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: pop3s disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: ntalk disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: echo disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: echo-udp disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: pop2 disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: imaps disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: imap disabled, removing
Jan 15 17:32:38 keo xinetd[1043]: finger disabled, removing
********************HERE************************************************
Jan 15 17:32:38 keo xinetd[1043]: socket creation failed (Protocol not
supported (errno = 93)). service = pop3
************************************************************************
Jan 15 17:32:38 keo xinetd[1043]: xinetd Version 2.1.8.9pre11 started with 
Jan 15 17:32:38 keo xinetd[1043]: libwrap 
Jan 15 17:32:38 keo xinetd[1043]: options compiled in.
Jan 15 17:32:38 keo xinetd[1043]: Started working: 4 available services
jan 15 17:32:41 keo xinetd: xinetd startup succeeded
Comment 1 Need Real Name 2001-02-07 04:04:44 EST
I have added a ligne in /etc/xinetd.d/ipop3 ( protocol = tcp ) then it's OK
Comment 2 Mike A. Harris 2001-03-17 14:08:48 EST
On a fresh install of 7.0 + updates, including the versions of xinetd
and imap you cite above, I am not able to replicate this problem at all.
I enabled ipop3 by changing disable to no, and then started xinetd.
pop3 works just fine for me.  No errors in syslog.

Note You need to log in before you can comment on or make changes to this bug.